#!/bin/sh
# 
# JSwat startup script
# JPackage Project <http://www.jpackage.org/>

# Source functions library
if [ -f /usr/share/java-utils/java-functions ] ; then 
  . /usr/share/java-utils/java-functions
else
  echo "Can't find functions library, aborting"
  exit 1
fi

# Configuration
MAIN_CLASS=com.bluemarsh.jswat.Main
BASE_JARS="jswat jswat-parser jclasslib"

# Set parameters
set_jvm
set_classpath $BASE_JARS
# tools.jar is needed for the JPDA, and build-classpath doesn't handle it.
CLASSPATH=$CLASSPATH:$JAVA_HOME/lib/tools.jar
set_flags $BASE_FLAGS
set_options $BASE_OPTIONS

# Let's start
run "$@"
